| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros
LTC2970.h File Reference
Digital Power System Management and Power Supply Supervisors » LTC2970: Dual I2C Power Supply Monitor and Margining Controller

Header for LTC2970: Dual I2C Power Supply Monitor and Margining Controller. More...

## Detailed Description

Header for LTC2970: Dual I2C Power Supply Monitor and Margining Controller.

Definition in file LTC2970.h.

Go to the source code of this file.

## Functions
void | ltc2970_gpio_up (LT_SMBus *smbus, uint8_t ltc2970_i2c_address, int gpio_number)
| Set GPIO_n high. More...
void | ltc2970_gpio_down (LT_SMBus *smbus, uint8_t ltc2970_i2c_address, int gpio_number)
| Set GPIO_n low. More...
void | ltc2970_dac_disconnect (LT_SMBus *smbus, uint8_t ltc2970_i2c_address, int dac_number)
| Disconnect a DAC from its channel. More...
void | ltc2970_hard_connect_dac (LT_SMBus *smbus, uint8_t ltc2970_i2c_address, int dac_number, uint8_t dac_value_8)
| Unceremoniously connect DAC0 to the control node no attempt to equalize voltages. More...
int | ltc2970_soft_connect_dac (LT_SMBus *smbus, uint8_t ltc2970_i2c_address, int dac_number)
| soft-connect DACn to its controlled node More...
void | ltc2970_servo_to_adc_val (LT_SMBus *smbus, uint8_t ltc2970_i2c_address, int channel_number, uint16_t code)
| Servo once to a given ADC value. More...
void | ltc2970_print_die_temp (LT_SMBus *smbus, uint8_t ltc2970_i2c_address)
| Prints die temperature on the LTC2970. More...
void | ltc2970_read_faults (LT_SMBus *smbus, uint8_t ltc2970_i2c_address)
| Read FAULT, FAULT_LA, and FAULT_LA_INDEX registers print the results. More...

## Macros
#define | LTC2970_I2C_GLOBAL_ADDRESS 0x5B
#define | LTC2970_I2C_ARA_ADDRESS 0x0C
LTC2970 command address definitions
NOTE: commands prefixed with LTC2970_1_ are for the LTC2970-1 only
#define | LTC2970_FAULT 0x00
#define | LTC2970_FAULT_EN 0x08
#define | LTC2970_FAULT_LA_INDEX 0x10
#define | LTC2970_FAULT_LA 0x11
#define | LTC2970_IO 0x17
#define | LTC2970_ADC_MON 0x18
#define | LTC2970_1_SYNC 0x1F
#define | LTC2970_VDD_ADC 0x28
#define | LTC2970_VDD_OV 0x29
#define | LTC2970_VDD_UV 0x2A
#define | LTC2970_V12_ADC 0x38
#define | LTC2970_V12_OV 0x39
#define | LTC2970_V12_UV 0x3A
#define | LTC2970_CH0_A_ADC 0x40
#define | LTC2970_CH0_A_OV 0x41
#define | LTC2970_CH0_A_UV 0x42
#define | LTC2970_CH0_A_SERVO 0x43
#define | LTC2970_CH0_A_IDAC 0x44
#define | LTC2970_1_CH0_A_IDAC_TRACK 0x45
#define | LTC2970_1_CH0_A_DELAY_TRACK 0x46
#define | LTC2970_CH0_B_ADC 0x48
#define | LTC2970_CH0_B_OV 0x49
#define | LTC2970_CH0_B_UV 0x4A
#define | LTC2970_CH1_A_ADC 0x50
#define | LTC2970_CH1_A_OV 0x51
#define | LTC2970_CH1_A_UV 0x52
#define | LTC2970_CH1_A_SERVO 0x53
#define | LTC2970_CH1_A_IDAC 0x54
#define | LTC2970_1_CH1_A_IDAC_TRACK 0x55
#define | LTC2970_1_CH1_A_DELAY_TRACK 0x56
#define | LTC2970_CH1_B_ADC 0x58
#define | LTC2970_CH1_B_OV 0x59
#define | LTC2970_CH1_B_UV 0x5A
#define | LTC2970_TEMP_ADC 0x68

## Function Documentation

## ◆ ltc2970_dac_disconnect()

void ltc2970_dac_disconnect | ( | LT_SMBus * | smbus,
|  | uint8_t | ltc2970_i2c_address,
|  | int | dac_number
| ) |  |

Disconnect a DAC from its channel.

Returns
  void

Definition at line 51 of file LTC2970.cpp.

## ◆ ltc2970_gpio_down()

void ltc2970_gpio_down | ( | LT_SMBus * | smbus,
|  | uint8_t | ltc2970_i2c_address,
|  | int | gpio_number
| ) |  |

Set GPIO_n low.

Returns
  void

Definition at line 28 of file LTC2970.cpp.

## ◆ ltc2970_gpio_up()

void ltc2970_gpio_up | ( | LT_SMBus * | smbus,
|  | uint8_t | ltc2970_i2c_address,
|  | int | gpio_number
| ) |  |

Set GPIO_n high.

Returns
  void

Definition at line 5 of file LTC2970.cpp.

## ◆ ltc2970_hard_connect_dac()

void ltc2970_hard_connect_dac | ( | LT_SMBus * | smbus,
|  | uint8_t | ltc2970_i2c_address,
|  | int | dac_number,
|  | uint8_t | dac_value_8
| ) |  |

Unceremoniously connect DAC0 to the control node no attempt to equalize voltages.

Returns
  void

Unceremoniously connect DAC0 to the control node no attempt to equalize voltages.

Returns
  void

Definition at line 82 of file LTC2970.cpp.

## ◆ ltc2970_print_die_temp()

void ltc2970_print_die_temp | ( | LT_SMBus * | smbus,
|  | uint8_t | ltc2970_i2c_address
| ) |  |

Prints die temperature on the LTC2970.

Returns
  void

Definition at line 265 of file LTC2970.cpp.

## ◆ ltc2970_read_faults()

void ltc2970_read_faults | ( | LT_SMBus * | smbus,
|  | uint8_t | ltc2970_i2c_address
| ) |  |

Read FAULT, FAULT_LA, and FAULT_LA_INDEX registers print the results.

Returns
  void

Definition at line 289 of file LTC2970.cpp.

## ◆ ltc2970_servo_to_adc_val()

void ltc2970_servo_to_adc_val | ( | LT_SMBus * | smbus,
|  | uint8_t | ltc2970_i2c_address,
|  | int | channel_number,
|  | uint16_t | code
| ) |  |

Servo once to a given ADC value.

Returns
  void

Definition at line 227 of file LTC2970.cpp.

## ◆ ltc2970_soft_connect_dac()

int ltc2970_soft_connect_dac | ( | LT_SMBus * | smbus,
|  | uint8_t | ltc2970_i2c_address,
|  | int | dac_number
| ) |  |

soft-connect DACn to its controlled node

Returns
  int

Definition at line 114 of file LTC2970.cpp.

## Macro Definition Documentation

## ◆ LTC2970_1_CH0_A_DELAY_TRACK

#define LTC2970_1_CH0_A_DELAY_TRACK 0x46

Definition at line 117 of file LTC2970.h.

## ◆ LTC2970_1_CH0_A_IDAC_TRACK

#define LTC2970_1_CH0_A_IDAC_TRACK 0x45

Definition at line 116 of file LTC2970.h.

## ◆ LTC2970_1_CH1_A_DELAY_TRACK

#define LTC2970_1_CH1_A_DELAY_TRACK 0x56

Definition at line 131 of file LTC2970.h.

## ◆ LTC2970_1_CH1_A_IDAC_TRACK

#define LTC2970_1_CH1_A_IDAC_TRACK 0x55

Definition at line 130 of file LTC2970.h.

## ◆ LTC2970_1_SYNC

#define LTC2970_1_SYNC 0x1F

Definition at line 95 of file LTC2970.h.

## ◆ LTC2970_ADC_MON

#define LTC2970_ADC_MON 0x18

Definition at line 91 of file LTC2970.h.

## ◆ LTC2970_CH0_A_ADC

#define LTC2970_CH0_A_ADC 0x40

Definition at line 111 of file LTC2970.h.

## ◆ LTC2970_CH0_A_IDAC

#define LTC2970_CH0_A_IDAC 0x44

Definition at line 115 of file LTC2970.h.

## ◆ LTC2970_CH0_A_OV

#define LTC2970_CH0_A_OV 0x41

Definition at line 112 of file LTC2970.h.

## ◆ LTC2970_CH0_A_SERVO

#define LTC2970_CH0_A_SERVO 0x43

Definition at line 114 of file LTC2970.h.

## ◆ LTC2970_CH0_A_UV

#define LTC2970_CH0_A_UV 0x42

Definition at line 113 of file LTC2970.h.

## ◆ LTC2970_CH0_B_ADC

#define LTC2970_CH0_B_ADC 0x48

Definition at line 119 of file LTC2970.h.

## ◆ LTC2970_CH0_B_OV

#define LTC2970_CH0_B_OV 0x49

Definition at line 120 of file LTC2970.h.

## ◆ LTC2970_CH0_B_UV

#define LTC2970_CH0_B_UV 0x4A

Definition at line 121 of file LTC2970.h.

## ◆ LTC2970_CH1_A_ADC

#define LTC2970_CH1_A_ADC 0x50

Definition at line 125 of file LTC2970.h.

## ◆ LTC2970_CH1_A_IDAC

#define LTC2970_CH1_A_IDAC 0x54

Definition at line 129 of file LTC2970.h.

## ◆ LTC2970_CH1_A_OV

#define LTC2970_CH1_A_OV 0x51

Definition at line 126 of file LTC2970.h.

## ◆ LTC2970_CH1_A_SERVO

#define LTC2970_CH1_A_SERVO 0x53

Definition at line 128 of file LTC2970.h.

## ◆ LTC2970_CH1_A_UV

#define LTC2970_CH1_A_UV 0x52

Definition at line 127 of file LTC2970.h.

## ◆ LTC2970_CH1_B_ADC

#define LTC2970_CH1_B_ADC 0x58

Definition at line 135 of file LTC2970.h.

## ◆ LTC2970_CH1_B_OV

#define LTC2970_CH1_B_OV 0x59

Definition at line 136 of file LTC2970.h.

## ◆ LTC2970_CH1_B_UV

#define LTC2970_CH1_B_UV 0x5A

Definition at line 137 of file LTC2970.h.

## ◆ LTC2970_FAULT

#define LTC2970_FAULT 0x00

Definition at line 79 of file LTC2970.h.

## ◆ LTC2970_FAULT_EN

#define LTC2970_FAULT_EN 0x08

Definition at line 83 of file LTC2970.h.

## ◆ LTC2970_FAULT_LA

#define LTC2970_FAULT_LA 0x11

Definition at line 86 of file LTC2970.h.

## ◆ LTC2970_FAULT_LA_INDEX

#define LTC2970_FAULT_LA_INDEX 0x10

Definition at line 85 of file LTC2970.h.

## ◆ LTC2970_I2C_ARA_ADDRESS

#define LTC2970_I2C_ARA_ADDRESS 0x0C

Definition at line 73 of file LTC2970.h.

## ◆ LTC2970_I2C_GLOBAL_ADDRESS

#define LTC2970_I2C_GLOBAL_ADDRESS 0x5B

Definition at line 72 of file LTC2970.h.

## ◆ LTC2970_IO

#define LTC2970_IO 0x17

Definition at line 90 of file LTC2970.h.

## ◆ LTC2970_TEMP_ADC

#define LTC2970_TEMP_ADC 0x68

Definition at line 141 of file LTC2970.h.

## ◆ LTC2970_V12_ADC

#define LTC2970_V12_ADC 0x38

Definition at line 105 of file LTC2970.h.

## ◆ LTC2970_V12_OV

#define LTC2970_V12_OV 0x39

Definition at line 106 of file LTC2970.h.

## ◆ LTC2970_V12_UV

#define LTC2970_V12_UV 0x3A

Definition at line 107 of file LTC2970.h.

## ◆ LTC2970_VDD_ADC

#define LTC2970_VDD_ADC 0x28

Definition at line 99 of file LTC2970.h.

## ◆ LTC2970_VDD_OV

#define LTC2970_VDD_OV 0x29

Definition at line 100 of file LTC2970.h.

## ◆ LTC2970_VDD_UV

#define LTC2970_VDD_UV 0x2A

Definition at line 101 of file LTC2970.h.